Scheduled Task Reconfigure Scheduled Task

Scheduled Task Reconfigure Scheduled Task
Reconfigures the scheduled task properties.

Reconfigures the scheduled task properties.

Required privileges: ScheduledTask.Edit

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ScheduledTask/{moId}/ReconfigureScheduledTask
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ScheduledTask/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ReconfigureScheduledTaskRequestType of type(s) application/json
Required

Show optional properties

{
    "spec": {}
}
{
    "spec": {
        "_typeName": "string",
        "name": "string",
        "description": "string",
        "enabled": false,
        "scheduler": {
            "_typeName": "string",
            "activeTime": "string",
            "expireTime": "string"
        },
        "action": {
            "_typeName": "string"
        },
        "notification": "string"
    }
}
spec
Required

The new specification for the scheduled task.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

InvalidState: if the scheduled task is running.

InvalidName: if the scheduled task name is empty or too long.

DuplicateName: if a scheduled task with the name already exists.

InvalidArgument: if the specification is invalid.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"spec":"{}"}' https://{api_host}/sdk/vim25/{release}/ScheduledTask/{moId}/ReconfigureScheduledTask